# Uses of Class
org.eclipse.jface.resource.ImageDescriptor

Packages that use ImageDescriptor
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.compare.patch
Provides support for applying and working with patches.
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.debug.ui.actions
Provides a set of actions related to running and debugging applications.
org.eclipse.debug.ui.sourcelookup
Provides a user interface for debug platform source lookup facilities.
org.eclipse.jface.action
Provides support for shared UI resources such as menus, tool bars, and status lines.
org.eclipse.jface.dialogs
Provides support for dialogs.
org.eclipse.jface.preference
Provides a framework for preferences.
org.eclipse.jface.resource
Provides support for managing resources such as SWT fonts and images.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.jface.wizard
Provides a framework for wizards.
org.eclipse.ltk.ui.refactoring
Application programming interface to implement a wizard based user interface for refactorings.
org.eclipse.search.ui
Classes and interface required to contribute search dialog pages and search result view pages.
org.eclipse.team.ui
Provides basic support for managing Team providers.
org.eclipse.team.ui.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.actions
Classes for actions and operations used in a workbench window, page, or part in the Eclipse Platform User Interface.
org.eclipse.ui.activities
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.application
Application-level APIs for configuring and controling the Eclipse Platform User Interface.
org.eclipse.ui.commands
Provides support for retrieving information on Commands from the workbench.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.
org.eclipse.ui.ide
APIs for the IDE-specific portion of the Eclipse Platform User Interface.
org.eclipse.ui.menus
Provides the public API and default implementation for contributing menu and toolbars to the menu service.
org.eclipse.ui.model
Provides a workbench adapter for displaying workbench elements in the UI without having to know the concrete type of the element, and various label providers for workbench-specific objects like editors, views, and perspectives.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.
org.eclipse.ui.plugin
Class hierarchies for plug-ins that integrate with the Eclipse Platform UI.
org.eclipse.ui.progress
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.
org.eclipse.ui.texteditor.rulers
Provides interfaces and classes for the `org.eclipse.ui.workbench.texteditor.rulerColumns`.
org.eclipse.ui.views
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.views.navigator
Provides the standard Resource Navigator view which presents the tree of resources in the workspace.
org.eclipse.ui.wizards
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface wizard support.

## Uses of ImageDescriptor in org.eclipse.compare

Fields in org.eclipse.compare declared as ImageDescriptor
Modifier and Type
Field
Description
`static final ImageDescriptor`
CompareUI.`DESC_CTOOL_NEXT`
Image descriptor for the normal icon of the 'Next' tool bar button.
`static final ImageDescriptor`
CompareUI.`DESC_CTOOL_PREV`
Image descriptor for the normal icon of the 'Previous' tool bar button.
`static final ImageDescriptor`
CompareUI.`DESC_DTOOL_NEXT`
Image descriptor for the disabled icon of the 'Next' tool bar button.
`static final ImageDescriptor`
CompareUI.`DESC_DTOOL_PREV`
Image descriptor for the disabled icon of the 'Previous' tool bar button.
`static final ImageDescriptor`
CompareUI.`DESC_ETOOL_NEXT`
Image descriptor for the roll-over icon of the 'Next' tool bar button.
`static final ImageDescriptor`
CompareUI.`DESC_ETOOL_PREV`
Image descriptor for the roll-over icon of the 'Previous' tool bar button.
Methods in org.eclipse.compare that return ImageDescriptor
Modifier and Type
Method
Description
`ImageDescriptor`
CompareEditorInput.`getImageDescriptor()`
Methods in org.eclipse.compare with parameters of type ImageDescriptor
Modifier and Type
Method
Description
`static void`
CompareUI.`registerImageDescriptor(String type, ImageDescriptor descriptor)`
Registers an image descriptor for the given type.

## Uses of ImageDescriptor in org.eclipse.compare.patch

Methods in org.eclipse.compare.patch with parameters of type ImageDescriptor
Modifier and Type
Method
Description
`void`
ApplyPatchOperation.`setPatchWizardImageDescriptor(ImageDescriptor descriptor)`
Sets the image descriptor to use in the patch wizard.

## Uses of ImageDescriptor in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui that return ImageDescriptor
Modifier and Type
Method
Description
`ImageDescriptor`
ILaunchGroup.`getBannerImageDescriptor()`
Returns the banner image for this launch group, or `null` if none
`static ImageDescriptor`
DebugUITools.`getDefaultImageDescriptor(Object element)`
Returns the default image descriptor for the given element.
`ImageDescriptor`
BreakpointTypeCategory.`getImageDescriptor(Object object)`
`ImageDescriptor`
DebugElementWorkbenchAdapter.`getImageDescriptor(Object object)`
Deprecated.
`static ImageDescriptor`
DebugUITools.`getImageDescriptor(String key)`
Returns the shared image descriptor managed under the given key, or `null` if none.
`ImageDescriptor`
ILaunchGroup.`getImageDescriptor()`
Returns the image for this launch group, or `null` if none.
Constructors in org.eclipse.debug.ui with parameters of type ImageDescriptor
Modifier
Constructor
Description
``
`BreakpointTypeCategory(String name, ImageDescriptor descriptor)`
Constructs a type category for the given type name with the given image.

## Uses of ImageDescriptor in org.eclipse.debug.ui.actions

Methods in org.eclipse.debug.ui.actions that return ImageDescriptor
Modifier and Type
Method
Description
`abstract ImageDescriptor`
DebugCommandAction.`getDisabledImageDescriptor()`
`abstract ImageDescriptor`
DebugCommandAction.`getHoverImageDescriptor()`
`abstract ImageDescriptor`
DebugCommandAction.`getImageDescriptor()`

## Uses of ImageDescriptor in org.eclipse.debug.ui.sourcelookup

Methods in org.eclipse.debug.ui.sourcelookup that return ImageDescriptor
Modifier and Type
Method
Description
`ImageDescriptor`
CommonSourceNotFoundEditorInput.`getImageDescriptor()`

## Uses of ImageDescriptor in org.eclipse.jface.action

Methods in org.eclipse.jface.action that return ImageDescriptor
Modifier and Type
Method
Description
`ImageDescriptor`
Action.`getDisabledImageDescriptor()`
`ImageDescriptor`
IAction.`getDisabledImageDescriptor()`
Returns the disabled image for this action as an image descriptor.
`ImageDescriptor`
Action.`getHoverImageDescriptor()`
`ImageDescriptor`
IAction.`getHoverImageDescriptor()`
Returns the hover image for this action as an image descriptor.
`ImageDescriptor`
Action.`getImageDescriptor()`
`ImageDescriptor`
IAction.`getImageDescriptor()`
Returns the image for this action as an image descriptor.
`ImageDescriptor`
MenuManager.`getImageDescriptor()`
Returns the image for this menu as an image descriptor.
Methods in org.eclipse.jface.action with parameters of type ImageDescriptor
Modifier and Type
Method
Description
`void`
Action.`setDisabledImageDescriptor(ImageDescriptor newImage)`
`void`
IAction.`setDisabledImageDescriptor(ImageDescriptor newImage)`
Sets the disabled image for this action, as an image descriptor.
`void`
Action.`setHoverImageDescriptor(ImageDescriptor newImage)`
`void`
IAction.`setHoverImageDescriptor(ImageDescriptor newImage)`
Sets the hover image for this action, as an image descriptor.
`void`
Action.`setImageDescriptor(ImageDescriptor newImage)`
`void`
IAction.`setImageDescriptor(ImageDescriptor newImage)`
Sets the image for this action, as an image descriptor.
`void`
MenuManager.`setImageDescriptor(ImageDescriptor imageDescriptor)`
Constructors in org.eclipse.jface.action with parameters of type ImageDescriptor
Modifier
Constructor
Description
`protected`
`Action(String text, ImageDescriptor image)`
Creates a new action with the given text and image.
``
`MenuManager(String text, ImageDescriptor image, String id)`
Creates a menu manager with the given text, image, and id.

## Uses of ImageDescriptor in org.eclipse.jface.dialogs

Methods in org.eclipse.jface.dialogs with parameters of type ImageDescriptor
Modifier and Type
Method
Description
`void`
DialogPage.`setImageDescriptor(ImageDescriptor desc)`
`void`
IDialogPage.`setImageDescriptor(ImageDescriptor image)`
Sets this dialog page's image.
Constructors in org.eclipse.jface.dialogs with parameters of type ImageDescriptor
Modifier
Constructor
Description
`protected`
`DialogPage(String title, ImageDescriptor image)`
Creates a new dialog page with the given title and image.

## Uses of ImageDescriptor in org.eclipse.jface.preference

Methods in org.eclipse.jface.preference that return ImageDescriptor
Modifier and Type
Method
Description
`protected ImageDescriptor`
PreferenceNode.`getImageDescriptor()`
Returns the image descriptor for this node.
Constructors in org.eclipse.jface.preference with parameters of type ImageDescriptor
Modifier
Constructor
Description
`protected`
`FieldEditorPreferencePage(String title, ImageDescriptor image, int style)`
Creates a new field editor preference page with the given title, image, and style.
``
`PreferenceNode(String id, String label, ImageDescriptor image, String className)`
Creates a preference node with the given id, label, and image, and lazily-loaded preference page.
`protected`
`PreferencePage(String title, ImageDescriptor image)`
Creates a new abstract preference page with the given title and image.

## Uses of ImageDescriptor in org.eclipse.jface.resource

Subclasses of ImageDescriptor in org.eclipse.jface.resource
Modifier and Type
Class
Description
`class`
`CompositeImageDescriptor`
Abstract base class for image descriptors that synthesize an image from other images in order to simulate the effect of custom drawing.
Methods in org.eclipse.jface.resource that return ImageDescriptor
Modifier and Type
Method
Description
`static ImageDescriptor`
ImageDescriptor.`createFromFile(Class<?> location, String filename)`
Creates and returns a new image descriptor from a file.
`static ImageDescriptor`
ImageDescriptor.`createFromImage(Image img)`
Creates and returns a new image descriptor for the given image.
`static ImageDescriptor`
ImageDescriptor.`createFromImage(Image img, Device theDevice)`
Deprecated.
use `createFromImage(Image)`
`static ImageDescriptor`
ImageDescriptor.`createFromImageData(ImageData data)`
Deprecated.
use `createFromImageDataProvider(ImageDataProvider)`
`static ImageDescriptor`
ImageDescriptor.`createFromImageDataProvider(ImageDataProvider provider)`
Creates and returns a new image descriptor given an ImageDataProvider describing the image.
`static ImageDescriptor`
ImageDescriptor.`createFromURL(URL url)`
Creates and returns a new image descriptor from a URL.
`static ImageDescriptor`
ImageDescriptor.`createFromURLSupplier(boolean useMissingImage, Supplier<URL> supplier)`
Creates and returns a new image descriptor from a supplier of a URL.
`static ImageDescriptor`
ImageDescriptor.`createWithFlags(ImageDescriptor originalImage, int swtFlags)`
Creates an ImageDescriptor based on the given original descriptor, but with additional SWT flags.
`ImageDescriptor`
ImageRegistry.`getDescriptor(String key)`
Returns the descriptor associated with the given key in this registry, or `null` if none.
`static ImageDescriptor`
ImageDescriptor.`getMissingImageDescriptor()`
Returns the shared image descriptor for a missing image.
`ImageDescriptor`
ImageDescriptor.`imageDescriptorFromURI(URI uriIconPath)`
Convenient method to create an ImageDescriptor from an URI Delegates to ImageDescriptor createFromURL
Methods in org.eclipse.jface.resource that return types with arguments of type ImageDescriptor
Modifier and Type
Method
Description
`static Optional<ImageDescriptor>`
ResourceLocator.`imageDescriptorFromBundle(Class<?> classFromBundle, String imageFilePath)`
Returns a new ``Optional`<`ImageDescriptor`>` for an image file located within the specified bundle or `Optional.empty()`.
`static Optional<ImageDescriptor>`
ResourceLocator.`imageDescriptorFromBundle(String bundleSymbolicName, String imageFilePath)`
Returns a new ``Optional`<`ImageDescriptor`>` for an image file located within the specified bundle or `Optional.empty()`.
Methods in org.eclipse.jface.resource with parameters of type ImageDescriptor
Modifier and Type
Method
Description
`protected CompositeImageDescriptor.CachedImageDataProvider`
CompositeImageDescriptor.`createCachedImageDataProvider(ImageDescriptor imageDescriptor)`
Creates a new `CompositeImageDescriptor.CachedImageDataProvider` that is backed by the given image descriptor.
`final Image`
ResourceManager.`createImage(ImageDescriptor descriptor)`
Creates an image, given an image descriptor.
`final Image`
ResourceManager.`createImageWithDefault(ImageDescriptor descriptor)`
Creates an image, given an image descriptor.
`static ImageDescriptor`
ImageDescriptor.`createWithFlags(ImageDescriptor originalImage, int swtFlags)`
Creates an ImageDescriptor based on the given original descriptor, but with additional SWT flags.
`final void`
ResourceManager.`destroyImage(ImageDescriptor descriptor)`
Undoes everything that was done by `ResourceManager.createImage(ImageDescriptor)`.
`void`
ImageRegistry.`put(String key, ImageDescriptor descriptor)`
Adds (or replaces) an image descriptor to this registry.

## Uses of ImageDescriptor in org.eclipse.jface.viewers

Subclasses of ImageDescriptor in org.eclipse.jface.viewers
Modifier and Type
Class
Description
`class`
`DecorationOverlayIcon`
A `DecorationOverlayIcon` is an image descriptor that can be used to overlay decoration images on to the 4 corner quadrants of a base image.
Methods in org.eclipse.jface.viewers with parameters of type ImageDescriptor
Modifier and Type
Method
Description
`void`
IDecoration.`addOverlay(ImageDescriptor overlay)`
Adds an overlay to the element's image.
`void`
IDecoration.`addOverlay(ImageDescriptor overlay, int quadrant)`
Adds an overlay to the element's image.
Constructors in org.eclipse.jface.viewers with parameters of type ImageDescriptor
Modifier
Constructor
Description
``
`DecorationOverlayIcon(ImageDescriptor baseImageDescriptor, ImageDescriptor overlayImageDescriptor, int quadrant)`
Create a decoration overlay icon that will place the given overlay icon in the given quadrant of the base image descriptor.
``
`DecorationOverlayIcon(Image baseImage, ImageDescriptor[] overlaysArray)`
Create the decoration overlay for the base image using the array of provided overlays.
``
`DecorationOverlayIcon(Image baseImage, ImageDescriptor[] overlaysArray, Point sizeValue)`
Create the decoration overlay for the base image using the array of provided overlays.
``
`DecorationOverlayIcon(Image baseImage, ImageDescriptor overlayImage, int quadrant)`
Create a decoration overlay icon that will place the given overlay icon in the given quadrant of the base image.

## Uses of ImageDescriptor in org.eclipse.jface.wizard

Methods in org.eclipse.jface.wizard with parameters of type ImageDescriptor
Modifier and Type
Method
Description
`void`
Wizard.`setDefaultPageImageDescriptor(ImageDescriptor imageDescriptor)`
Sets the default page image descriptor for this wizard.
`void`
WizardPage.`setImageDescriptor(ImageDescriptor image)`
The `WizardPage` implementation of this method declared on `DialogPage` updates the container if this page is the current page.
Constructors in org.eclipse.jface.wizard with parameters of type ImageDescriptor
Modifier
Constructor
Description
`protected`
`WizardPage(String pageName, String title, ImageDescriptor titleImage)`
Creates a new wizard page with the given name, title, and image.

## Uses of ImageDescriptor in org.eclipse.ltk.ui.refactoring

Methods in org.eclipse.ltk.ui.refactoring that return ImageDescriptor
Modifier and Type
Method
Description
`ImageDescriptor`
TextEditChangeNode.`getImageDescriptor()`
Returns the image descriptor used to render this node in the UI.

## Uses of ImageDescriptor in org.eclipse.search.ui

Methods in org.eclipse.search.ui that return ImageDescriptor
Modifier and Type
Method
Description
`ImageDescriptor`
ISearchResult.`getImageDescriptor()`
Returns an image descriptor for the given ISearchResult.
Methods in org.eclipse.search.ui with parameters of type ImageDescriptor
Modifier and Type
Method
Description
`void`
ISearchResultView.`searchStarted(String pageId, String singularLabel, String pluralLabelPattern, ImageDescriptor imageDescriptor, IContextMenuContributor contributor, ILabelProvider labelProvider, IAction gotoAction, IGroupByKeyComputer groupByKeyComputer, IRunnableWithProgress operation)`
Deprecated.
As of build > 20020514, replaced by the new version which provides an action group factory
`void`
ISearchResultView.`searchStarted(String pageId, String label, ImageDescriptor imageDescriptor, IContextMenuContributor contributor, ILabelProvider labelProvider, IAction gotoAction, IGroupByKeyComputer groupByKeyComputer, IRunnableWithProgress operation)`
Deprecated.
As of build > 20011107, replaced by the new version with additional parameter
`void`
ISearchResultView.`searchStarted(IActionGroupFactory groupFactory, String singularLabel, String pluralLabelPattern, ImageDescriptor imageDescriptor, String pageId, ILabelProvider labelProvider, IAction gotoAction, IGroupByKeyComputer groupByKeyComputer, IRunnableWithProgress operation)`
Deprecated, for removal: This API element is subject to removal in a future version.
Informs the view that a search has started.

## Uses of ImageDescriptor in org.eclipse.team.ui

Methods in org.eclipse.team.ui that return ImageDescriptor
Modifier and Type
Method
Description
`static ImageDescriptor`
TeamImages.`getImageDescriptor(String id)`
Returns the image descriptor for the given image ID.
`static ImageDescriptor`
TeamImages.`getImageDescriptorFromExtension(IExtension extension, String subdirectoryAndFilename)`
Convenience method to get an image descriptor for an extension.

## Uses of ImageDescriptor in org.eclipse.team.ui.mapping

Methods in org.eclipse.team.ui.mapping that return ImageDescriptor
Modifier and Type
Method
Description
`ImageDescriptor`
ISynchronizationCompareAdapter.`getImageDescriptor(ResourceMapping mapping)`
Return an image descriptor that can be displayed as an icon for the model object of the given resource mapping.
`ImageDescriptor`
ITeamContentProviderDescriptor.`getImageDescriptor()`
Return an image descriptor that can be displayed with this content extension.
`ImageDescriptor`
SynchronizationCompareAdapter.`getImageDescriptor(ResourceMapping mapping)`

## Uses of ImageDescriptor in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize that return ImageDescriptor
Modifier and Type
Method
Description
`ImageDescriptor`
AbstractSynchronizeParticipant.`getImageDescriptor()`
`ImageDescriptor`
ISynchronizeModelElement.`getImageDescriptor(Object element)`
The image descriptor describing the given element.
`ImageDescriptor`
ISynchronizeParticipant.`getImageDescriptor()`
Returns an image descriptor for this synchronize participant, or `null` if none.
`ImageDescriptor`
ISynchronizeParticipantDescriptor.`getImageDescriptor()`
Returns the image descriptor for this participant type.
`ImageDescriptor`
SaveableCompareEditorInput.`getImageDescriptor()`
Methods in org.eclipse.team.ui.synchronize with parameters of type ImageDescriptor
Modifier and Type
Method
Description
`protected void`
AbstractSynchronizeParticipant.`setImageDescriptor(ImageDescriptor imageDescriptor)`
Sets the image descriptor for this participant to the specified value and notifies property listeners of the change.

## Uses of ImageDescriptor in org.eclipse.ui

Methods in org.eclipse.ui that return ImageDescriptor
Modifier and Type
Method
Description
`ImageDescriptor`
IWorkingSet.`getImage()`
Deprecated.
use `IWorkingSet.getImageDescriptor()` instead
`ImageDescriptor`
IEditorDescriptor.`getImageDescriptor()`
Returns the descriptor of the image for this editor.
`ImageDescriptor`
IEditorInput.`getImageDescriptor()`
Returns the image descriptor for this input.
`ImageDescriptor`
IEditorRegistry.`getImageDescriptor(String filename)`
Returns the image descriptor associated with a given file.
`ImageDescriptor`
IEditorRegistry.`getImageDescriptor(String filename, IContentType contentType)`
Returns the image descriptor associated with a given file.
`ImageDescriptor`
IFileEditorMapping.`getImageDescriptor()`
Returns the descriptor of the image to use for a file of this type.
`ImageDescriptor`
IPerspectiveDescriptor.`getImageDescriptor()`
Returns the descriptor of the image to show for this perspective.
`ImageDescriptor`
ISharedImages.`getImageDescriptor(String symbolicName)`
Retrieves the image descriptor for specified image from the workbench's image registry.
`ImageDescriptor`
IWorkbenchPartDescriptor.`getImageDescriptor()`
Returns the descriptor of the image for this part.
`ImageDescriptor`
IWorkingSet.`getImageDescriptor()`
Returns the working set icon.
`abstract ImageDescriptor`
Saveable.`getImageDescriptor()`
Returns the image descriptor for this saveable.
`ImageDescriptor`
IEditorRegistry.`getSystemExternalEditorImageDescriptor(String filename)`
Returns the image descriptor associated with the system editor that would be used to edit this file externally.

## Uses of ImageDescriptor in org.eclipse.ui.actions

Methods in org.eclipse.ui.actions with parameters of type ImageDescriptor
Modifier and Type
Method
Description
`void`
LabelRetargetAction.`setDisabledImageDescriptor(ImageDescriptor image)`
`void`
LabelRetargetAction.`setHoverImageDescriptor(ImageDescriptor image)`
`void`
LabelRetargetAction.`setImageDescriptor(ImageDescriptor image)`

## Uses of ImageDescriptor in org.eclipse.ui.activities

Methods in org.eclipse.ui.activities that return ImageDescriptor
Modifier and Type
Method
Description
`ImageDescriptor`
IWorkbenchActivitySupport.`getImageDescriptor(IActivity activity)`
Return the image associated with this activity.
`ImageDescriptor`
IWorkbenchActivitySupport.`getImageDescriptor(ICategory category)`
Return the image associated with this category.

## Uses of ImageDescriptor in org.eclipse.ui.application

Methods in org.eclipse.ui.application with parameters of type ImageDescriptor
Modifier and Type
Method
Description
`void`
IWorkbenchConfigurer.`declareImage(String symbolicName, ImageDescriptor descriptor, boolean shared)`
Declares a workbench image.

## Uses of ImageDescriptor in org.eclipse.ui.commands

Methods in org.eclipse.ui.commands that return ImageDescriptor
Modifier and Type
Method
Description
`ImageDescriptor`
ICommandImageService.`getImageDescriptor(String commandId)`
Retrieves the default image associated with the given command in the default style.
`ImageDescriptor`
ICommandImageService.`getImageDescriptor(String commandId, int type)`
Retrieves the image of the given type associated with the given command in the default style.
`ImageDescriptor`
ICommandImageService.`getImageDescriptor(String commandId, int type, String style)`
Retrieves the image of the given type associated with the given command in the given style.
`ImageDescriptor`
ICommandImageService.`getImageDescriptor(String commandId, String style)`
Retrieves the default image associated with the given command in the given style.

## Uses of ImageDescriptor in org.eclipse.ui.console

Methods in org.eclipse.ui.console that return ImageDescriptor
Modifier and Type
Method
Description
`ImageDescriptor`
AbstractConsole.`getImageDescriptor()`
`static ImageDescriptor`
ConsolePlugin.`getImageDescriptor(String key)`
Returns the `ImageDescriptor` identified by the given key, or `null` if it does not exist.
`ImageDescriptor`
IConsole.`getImageDescriptor()`
Returns an image descriptor for this console, or `null` if none.
Methods in org.eclipse.ui.console with parameters of type ImageDescriptor
Modifier and Type
Method
Description
`protected void`
AbstractConsole.`setImageDescriptor(ImageDescriptor imageDescriptor)`
Sets the image descriptor for this console to the specified value and notifies property listeners of the change.
Constructors in org.eclipse.ui.console with parameters of type ImageDescriptor
Modifier
Constructor
Description
``
`AbstractConsole(String name, String type, ImageDescriptor imageDescriptor, boolean autoLifecycle)`
Constructs a new console with the given name, type, image and lifecycle.
``
`AbstractConsole(String name, ImageDescriptor imageDescriptor)`
Constructs a new console with the given name and image.
``
`AbstractConsole(String name, ImageDescriptor imageDescriptor, boolean autoLifecycle)`
Constructs a new console with the given name and image.
``
`IOConsole(String name, String consoleType, ImageDescriptor imageDescriptor)`
Constructs a console with the given name, type, and image with the workbench's default encoding.
``
`IOConsole(String name, String consoleType, ImageDescriptor imageDescriptor, boolean autoLifecycle)`
Constructs a console with the given name, type, image, and lifecycle, with the workbench's default encoding.
``
`IOConsole(String name, String consoleType, ImageDescriptor imageDescriptor, String encoding, boolean autoLifecycle)`
Constructs a console with the given name, type, image, encoding and lifecycle.
``
`IOConsole(String name, String consoleType, ImageDescriptor imageDescriptor, Charset charset, boolean autoLifecycle)`
Constructs a console with the given name, type, image, encoding and lifecycle.
``
`IOConsole(String name, ImageDescriptor imageDescriptor)`
Constructs a console with the given name and image.
``
`MessageConsole(String name, String consoleType, ImageDescriptor imageDescriptor, boolean autoLifecycle)`
Constructs a message console with the given name, type, image, and lifecycle.
``
`MessageConsole(String name, String consoleType, ImageDescriptor imageDescriptor, String encoding, boolean autoLifecycle)`
Constructs a message console with the given name, type, image, encoding, and lifecycle specification.
``
`MessageConsole(String name, ImageDescriptor imageDescriptor)`
Constructs a message console with the given name and image.
``
`MessageConsole(String name, ImageDescriptor imageDescriptor, boolean autoLifecycle)`
Constructs a message console.
``
`TextConsole(String name, String consoleType, ImageDescriptor imageDescriptor, boolean autoLifecycle)`
Constructs a console with the given name, image descriptor, and lifecycle

## Uses of ImageDescriptor in org.eclipse.ui.ide

Methods in org.eclipse.ui.ide that return ImageDescriptor
Modifier and Type
Method
Description
`ImageDescriptor`
FileStoreEditorInput.`getImageDescriptor()`

## Uses of ImageDescriptor in org.eclipse.ui.menus

Fields in org.eclipse.ui.menus declared as ImageDescriptor
Modifier and Type
Field
Description
`ImageDescriptor`
CommandContributionItemParameter.`disabledIcon`
A disabled icon for this item.
`ImageDescriptor`
CommandContributionItemParameter.`hoverIcon`
A hover icon for this item.
`ImageDescriptor`
CommandContributionItemParameter.`icon`
An icon for this item.
Methods in org.eclipse.ui.menus with parameters of type ImageDescriptor
Modifier and Type
Method
Description
`abstract void`
UIElement.`setDisabledIcon(ImageDescriptor desc)`
Update the disabled icon on this UI element.
`abstract void`
UIElement.`setHoverIcon(ImageDescriptor desc)`
Update the hover icon on this UI element.
`abstract void`
UIElement.`setIcon(ImageDescriptor desc)`
Update the icon on this UI element.
Constructors in org.eclipse.ui.menus with parameters of type ImageDescriptor
Modifier
Constructor
Description
``
`CommandContributionItem(IServiceLocator serviceLocator, String id, String commandId, Map parameters, ImageDescriptor icon, ImageDescriptor disabledIcon, ImageDescriptor hoverIcon, String label, String mnemonic, String tooltip, int style)`
Deprecated.
create the `CommandContributionItemParameter`
``
`CommandContributionItemParameter(IServiceLocator serviceLocator, String id, String commandId, Map parameters, ImageDescriptor icon, ImageDescriptor disabledIcon, ImageDescriptor hoverIcon, String label, String mnemonic, String tooltip, int style, String helpContextId, boolean visibleEnabled)`
Build the parameter object.

## Uses of ImageDescriptor in org.eclipse.ui.model

Methods in org.eclipse.ui.model that return ImageDescriptor
Modifier and Type
Method
Description
`protected ImageDescriptor`
WorkbenchLabelProvider.`decorateImage(ImageDescriptor input, Object element)`
Returns an image descriptor that is based on the given descriptor, but decorated with additional information relating to the state of the provided object.
`ImageDescriptor`
IWorkbenchAdapter.`getImageDescriptor(Object object)`
Returns an image descriptor to be used for displaying an object in the workbench.
`ImageDescriptor`
WorkbenchAdapter.`getImageDescriptor(Object object)`
The default implementation of this `IWorkbenchAdapter` method returns `null`.
Methods in org.eclipse.ui.model with parameters of type ImageDescriptor
Modifier and Type
Method
Description
`protected ImageDescriptor`
WorkbenchLabelProvider.`decorateImage(ImageDescriptor input, Object element)`
Returns an image descriptor that is based on the given descriptor, but decorated with additional information relating to the state of the provided object.

## Uses of ImageDescriptor in org.eclipse.ui.part

Methods in org.eclipse.ui.part that return ImageDescriptor
Modifier and Type
Method
Description
`ImageDescriptor`
FileEditorInput.`getImageDescriptor()`
`ImageDescriptor`
MultiEditorInput.`getImageDescriptor()`
`abstract ImageDescriptor`
PageSwitcher.`getImageDescriptor(Object page)`
Returns an `ImageDescriptor` for the page.

## Uses of ImageDescriptor in org.eclipse.ui.plugin

Methods in org.eclipse.ui.plugin that return ImageDescriptor
Modifier and Type
Method
Description
`static ImageDescriptor`
AbstractUIPlugin.`imageDescriptorFromPlugin(String pluginId, String imageFilePath)`
Creates and returns a new image descriptor for an image file located within the specified plug-in.

## Uses of ImageDescriptor in org.eclipse.ui.progress

Methods in org.eclipse.ui.progress that return ImageDescriptor
Modifier and Type
Method
Description
`ImageDescriptor`
PendingUpdateAdapter.`getImageDescriptor(Object object)`
Methods in org.eclipse.ui.progress with parameters of type ImageDescriptor
Modifier and Type
Method
Description
`void`
IProgressService.`registerIconForFamily(ImageDescriptor icon, Object family)`
Register the ImageDescriptor to be the icon used for all jobs that belong to family within the workbench.

## Uses of ImageDescriptor in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor that return ImageDescriptor
Modifier and Type
Method
Description
`ImageDescriptor`
TextNavigationAction.`getDisabledImageDescriptor()`
`ImageDescriptor`
TextNavigationAction.`getHoverImageDescriptor()`
`ImageDescriptor`
AbstractTextEditor.TextEditorSavable.`getImageDescriptor()`
`ImageDescriptor`
AnnotationPreference.`getImageDescriptor()`
Returns the image descriptor for the image to be drawn in the vertical ruler.
`ImageDescriptor`
IAnnotationImageProvider.`getImageDescriptor(String imageDescritporId)`
Returns the image descriptor for the given symbolic name.
`ImageDescriptor`
TextNavigationAction.`getImageDescriptor()`
`ImageDescriptor`
AnnotationPreference.`getQuickFixImageDescriptor()`
Returns the Quick Fix image descriptor for the image to be drawn in the vertical ruler.
Methods in org.eclipse.ui.texteditor that return types with arguments of type ImageDescriptor
Modifier and Type
Method
Description
`protected static Map<ImageDescriptor,Image>`
MarkerAnnotation.`getImageRegistry(Display display)`
Deprecated.
As of 3.0, visual presentation is no longer supported, annotation with a visible presentation should implement `IAnnotationPresentation`
Methods in org.eclipse.ui.texteditor with parameters of type ImageDescriptor
Modifier and Type
Method
Description
`protected static Image`
MarkerAnnotation.`getImage(Display display, ImageDescriptor descriptor)`
Deprecated.
As of 3.0, visual presentation is no longer supported, annotation with a visible presentation should implement `IAnnotationPresentation`
`void`
TextNavigationAction.`setDisabledImageDescriptor(ImageDescriptor newImage)`
`void`
TextNavigationAction.`setHoverImageDescriptor(ImageDescriptor newImage)`
`void`
AnnotationPreference.`setImageDescriptor(ImageDescriptor descriptor)`
Sets the image descriptor for the image to be drawn in the vertical ruler.
`void`
TextNavigationAction.`setImageDescriptor(ImageDescriptor newImage)`
`void`
AnnotationPreference.`setQuickFixImageDescriptor(ImageDescriptor descriptor)`
Sets the Quick Fix image descriptor for the image to be drawn in the vertical ruler.

## Uses of ImageDescriptor in org.eclipse.ui.texteditor.rulers

Methods in org.eclipse.ui.texteditor.rulers that return ImageDescriptor
Modifier and Type
Method
Description
`ImageDescriptor`
RulerColumnDescriptor.`getIcon()`
Returns the image descriptor of the described extension, `null` if it does not have an image.

## Uses of ImageDescriptor in org.eclipse.ui.views

Methods in org.eclipse.ui.views that return ImageDescriptor
Modifier and Type
Method
Description
`ImageDescriptor`
IViewDescriptor.`getImageDescriptor()`
Returns the descriptor for the icon to show for this view.

## Uses of ImageDescriptor in org.eclipse.ui.views.navigator

Methods in org.eclipse.ui.views.navigator that return ImageDescriptor
Modifier and Type
Method
Description
`protected ImageDescriptor`
ResourceNavigatorActionGroup.`getImageDescriptor(String relativePath)`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the image descriptor with the given relative path.

## Uses of ImageDescriptor in org.eclipse.ui.wizards

Methods in org.eclipse.ui.wizards that return ImageDescriptor
Modifier and Type
Method
Description
`ImageDescriptor`
IWizardDescriptor.`getDescriptionImage()`
Return the description image for this wizard.